Viewing 7 posts - 1 through 7 (of 7 total)
  • Author
    Posts
  • #21748

    I just updated to newest version of WooCommerce & Replete theme.

    The WooCommerce pages do not work. I am getting this error – “Fatal error: Cannot use string offset as an array in /home/peteri/public_html/wp-content/themes/replete/includes/helper-template-logic.php on line 429″

    I de-activated most of my plugins. Not sure what this is. Please advise. Thanks!

    #112939

    I had the same problem. The problem started with 2.0, and continued with 2.0.3. I’m not sure if it still continues with 2.0.5. Which version did you install? The only way I found to fix the problem was to download woocommerce 1.6 and install it. Obviously if you installed v.2.0.5 the problem still hasn’t been resolved and 1.6 is the only way to fix it. Many people have had the same problem. Lots of references to it on the woocommerce web site.

    #112940

    I have 2.0.5 running at the moment.

    #112941

    Thanks for the info. saves me the time of trying the newest one. Version 1.6.6 is downloadable from wordpress at http://wordpress.org/extend/plugins/woocommerce/developers/

    #112942

    Thanks! I just downloaded 1.6.6 and it works better. The Tabs on the product pages (description, reviews, product inquiry) no longer work though. Hmm

    #112943

    Look at this page to see what is missing. http://wordpress.org/extend/plugins/woocommerce/changelog/

    I’ve been waiting for woocommerce to solve the problem, but no answer yet. That was a couple of weeks ago. So I use the older version, fewer features but it works.

    #112944

    Hi slimata,

    Did you do the woocommerce database upgrade when prompted? The 2.0 is not designed to be backwards compatible once you have upgrade the database so there is a chance of data corruption using 1.6.6 after upgrading to 2.0. Replete 1.3.1 is also not backwards compatible because of this so there is a risk of general errors and unpredictable issues.

    Regards,

    Devin

Viewing 7 posts - 1 through 7 (of 7 total)

The topic ‘Fatal Error After Upgrading to newest WooCommerce and Installing Replete’ is closed to new replies.